#include <stdio.h>

#include "common.h"

const GLubyte* gluErrorString(GLenum errorCode);

/*****************************************************************************
 *                                                                           *
 *****************************************************************************/

void clear_gl_error()
{
  GLenum err = glGetError();
  if(err != GL_NO_ERROR)
    {
      fprintf(stderr, "Purge gl errors :\n");
      while(err != GL_NO_ERROR)
	{
	  fprintf(stderr, "  %s\n", gluErrorString(err));
	  err = glGetError();
	}
    }
}
 
/*****************************************************************************
 *                                                                           *
 *****************************************************************************/

void check_gl_error(const char * file, int line)
{
  GLenum err = glGetError();
  if(err != GL_NO_ERROR)
    {
      fprintf(stderr, "gl error in file %s @ line %d:\n", file, line);
      while(err != GL_NO_ERROR)
	{
	  fprintf(stderr, "  %s\n", gluErrorString(err));
	  err = glGetError();
	}
    }
}
 
