#ifndef __common_h__
#define __common_h__

#if defined(USE_GLEW)
#include <GL/glew.h>
#else
#define GL3_PROTOTYPES
#include <GL3/gl3.h>
#define __gl_h_
#endif

#define USE_UNIFORM_BLOCK_OBJECT

void clear_gl_error(void);
void check_gl_error(const char * file, int line);

#define CLEAR_GL_ERROR() do { clear_gl_error();                   } while(0)
#define CHECK_GL_ERROR() do { check_gl_error(__FILE__, __LINE__); } while(0)

#endif /* __common_h__ */
