// Local Variables:
// mode: c
// End:
#version 400

in  vec4 in_Position;
in  vec4 in_Color;
in  vec3 in_Normal;
in  vec3 in_TexCoord;

out vec4 ex_Position;
out vec4 ex_Color;
out vec3 ex_TexCoord;

uniform Transformation
{
	mat4 Projection;
	mat4 Viewing;
	mat4 Modeling;
};

// uncomment if !defined(USE_UNIFORM_BLOCK_OBJECT)
//uniform mat4 Projection;
//uniform mat4 Viewing;   
//uniform mat4 Modeling;  

void main(void)
{
	gl_Position = (Projection * Viewing * Modeling) * in_Position;

	ex_Position = in_Position;
	ex_Color    = in_Color;
	ex_TexCoord = in_TexCoord;
}
